Bug Hunting Session
Bug 68806 - SIDEBAR: Wrong Paragraph spacing values after activating the Properties pane
Summary: SIDEBAR: Wrong Paragraph spacing values after activating the Properties pane
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: highest normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:4.5.0 target:4.4.0
Keywords:
: 68508 85747 (view as bug list)
Depends on:
Blocks: Sidebar-Properties-Paragraph mab4.2
  Show dependency treegraph
 
Reported: 2013-09-01 08:35 UTC by Maxim Monastirsky
Modified: 2016-10-24 17:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test-case (16.43 KB, application/vnd.oasis.opendocument.text)
2013-09-01 08:35 UTC, Maxim Monastirsky
Details
Screenshot (LO 4.1.1.2 on Windows 7 32-bit) (171.17 KB, image/png)
2013-09-01 08:38 UTC, Maxim Monastirsky
Details
Screenshot (master on Windows 7 32-bit) (177.28 KB, image/png)
2013-09-01 08:44 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2013-09-01 08:35:43 UTC
Created attachment 84994 [details]
test-case

Sidebar shows wrong values for spacing, right after opening a file. It affects both 4.1.0.4 and 4.1.1.2.

Steps to reproduce:
1) Open Writer and type some text
2) Set some paragraph spacing (doesn't matter which of them)
3) Save the file & close
4) Reopen the file
5) See the wrong values on sidebar (you can compare them with the ones from Paragraph dialog)

For some reason, It doesn't happen with values < 21 and if value = 30.
Comment 1 Maxim Monastirsky 2013-09-01 08:38:42 UTC
Created attachment 84995 [details]
Screenshot (LO 4.1.1.2 on Windows 7 32-bit)
Comment 2 Maxim Monastirsky 2013-09-01 08:44:46 UTC
Created attachment 84996 [details]
Screenshot (master on Windows 7 32-bit)

The situation is even worse with master (4.2.0.0.alpha0+ Build ID: d6b4644da2c74500aa5ddfe69c36fc1f987bce0d TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-31_22:06:59)
Comment 3 Maxim Monastirsky 2013-09-01 10:40:39 UTC
(In reply to comment #0)
> For some reason, It doesn't happen with values < 21 and if value = 30.
I meant 0.21cm & 0.30cm.
Comment 4 Owen Genat (retired) 2013-11-13 10:08:20 UTC
Confirmed. Crunchbang 11 linux running v4.1.3.2 exhibits problems when setting Paragraph metrics using direct formatting via the Sidebar i.e., either the small ellipsis button adjacent "Paragraph" or by editing the displayed fields directly. These values appear to be reset erratically as indicated upon re-opening the file:

- 1.0pt set to 0.7pt (Before/After/First/Above/Below).
- 2.0pt set to 2.2pt (Before/After/First/Above/Below).
- 3.0pt set to 2.9pt (Before/After/First/Above/Below).
- 4.0pt set to 3.9pt (Above/Below) and 4.3pt (Before/After/First).
- 5.0pt set to 3.9pt (Above/Below only).
- 6.0pt set to 3.9pt (Above/Below) and 5.8pt (Before/After/First).
Comment 5 Mihkel Tõnnov 2014-01-10 14:25:27 UTC
This happens not only "right after file open", but on every time the Properties pane is activated on the sidebar, e.g. after returning from Styles & Formatting pane. I wonder if this could be somehow related to bug 68508.
Comment 6 Björn Michaelsen 2014-01-17 09:51:49 UTC Comment hidden (obsolete)
Comment 7 Mihkel Tõnnov 2014-01-24 12:14:21 UTC
In 4.2, this distorts formatting: switching to Properties pane (from e.g. Styles and Formatting), the spacing units are both shown as 10 cm and indents are wrong, too -- and if I don't notice it and edit any of them, then the other spacing value or indent values actually get set to whatever they were showing.

Workaround is to move cursor to a paragraph with different style and back.
Comment 8 tommy27 2014-05-13 05:29:55 UTC
please retest against 4.2.4.2
if bug persists please move it to mab4.2 list since 4.1.x is EOL
Comment 9 Maxim Monastirsky 2014-05-18 14:04:35 UTC
(In reply to comment #8)
> please retest against 4.2.4.2
still there, even with latest master.

> if bug persists please move it to mab4.2 list since 4.1.x is EOL
done.
Comment 10 Maxim Monastirsky 2014-11-26 21:06:15 UTC
*** Bug 85747 has been marked as a duplicate of this bug. ***
Comment 11 Maxim Monastirsky 2014-11-26 21:18:11 UTC
It seems fixed with http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a410f9cedbce5276aea48479812ff68210712b0. At least the initial shown value seems correct. The values are however still a bit off when manually switching the unit after the document is open.
Comment 12 Maxim Monastirsky 2014-11-26 21:19:20 UTC
*** Bug 68508 has been marked as a duplicate of this bug. ***
Comment 13 Mihkel Tõnnov 2014-11-26 21:42:11 UTC
Thank you for your work, Maxim!
Any chance of backport to 4.4? :)
Comment 14 Maxim Monastirsky 2014-11-26 21:48:30 UTC
(In reply to Mihkel Tõnnov from comment #13)
> Thank you for your work, Maxim!
> Any chance of backport to 4.4? :)
Sure, but please test it with 4.5 daily builds that have this patch, because I'm not sure it covers all possible cases.
Comment 16 Mihkel Tõnnov 2014-11-29 18:11:28 UTC
(In reply to Maxim Monastirsky from comment #14)
> (In reply to Mihkel Tõnnov from comment #13)
> > Thank you for your work, Maxim!
> > Any chance of backport to 4.4? :)
> Sure, but please test it with 4.5 daily builds that have this patch, because
> I'm not sure it covers all possible cases.

Looks so much better with latest 4.5 daily build. Thank you for fixing this!